using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Web.Mvc;

namespace Web.Models.Karta {
  public class KartaObjednatModel : LayoutModel {
    [Display(Name = "Uživatel")]
    public string UzivatelId { get; set; } 

    [Display(Name = "Text emailu")]
    [StringLength(500, ErrorMessage = "Email nesmí být delší jak 500 znaků.")]
    public string Text { get; set; }

    [Display(Name = "Vybraný subjekt")]
    public int VybranySubjektId { get; set; }

    public IEnumerable<SelectListItem> VybranySubjekt { get; set; }

    [Display(Name = "Vybraná karta")]
    public int VybranaKartaId { get; set; }
    public IEnumerable<SelectListItem> VybranaKarta { get; set; }

    [Display(Name = "Heslo tvého mailu")]
    public string Heslo { get; set; } 
  }
}